SwaggerDataProvider::SwaggerDataProviderBase Class Reference

The Swagger data provider base class. More...

Inheritance diagram for SwaggerDataProvider::SwaggerDataProviderBase:
[legend]

## Public Member Functions

private | addFieldsFromParameters (HashDataType rv, hash< string, AbstractParameterObject > parameters, reference< bool > required)
| Returns a field definition from Swagger parameters.
private AbstractDataField | getFieldFromParameter (string path, string name, string type, *string format, *SchemaObject arrayItems, *string desc, bool required, *list< auto > allowed_values)
| Returns a field from a Swagger parameter.
private AbstractDataField | getFieldFromSchemaIntern (string path, string name, *string desc, SchemaObject schema, bool required=True)
| Returns a field definition from the Swagger parameter.
private AbstractDataProviderType | getType (string path, string typestr, *string format, *SchemaObject arrayItems, bool required=True)
| Returns the data type corresponding to the values.

## Protected Member Functions

AbstractDataField | getFieldForHeaders (string name, hash< auto > headers)
| Returns a field of header fields.
AbstractDataField | getFieldFromSchema (string name, *string desc, SchemaObject schema, bool required=True)
| Returns a field definition from the Swagger parameter.
AbstractDataProviderType | getSchemaDataType (string path, SchemaObject schema, bool required=True)
| Returns the data type for the given schema.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Detailed Description

The Swagger data provider base class.